cdac.medinfo.sdk.hl7282.commoninterface

## Interface ISegmentSet

- All Known Implementing Classes:
    SegmentSet

      public interface ISegmentSet

  Defines all the methods for SegmentSet.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSegment(ISegment objSegment)` Adds a Segment in list.
    `void` | `addUnRecognizedSegment(UnRecognizedSegment objUnRecognizedSegment)` Adds unknown Segments in list.
    `ISingleCollection<ISegment>` | `getList()` Retrieves list of segments.
    `ISegment` | `getSegment(int iIndex)` Retrieves segment instance from a given index position.
    `ISingleCollection<UnRecognizedSegment>` | `getUnRecognizedSegments()` Retrieves list of Unrecognized segments.
    `ICollectionIterator<ISegment>` | `iterator()` Retrieves a iterator to iterate through Segment List.
    `int` | `size()` Retrieves size of SegmentSet

- - ### Method Detail

    - #### addSegment

          void addSegment(ISegment objSegment)

      Adds a Segment in list.
      Parameters:
        `objSegment` - instance of Segment

    - #### addUnRecognizedSegment

          void addUnRecognizedSegment(UnRecognizedSegment objUnRecognizedSegment)

      Adds unknown Segments in list.
      Parameters:
        `objUnRecognizedSegment` - object of UnRecognizedSegment

    - #### getUnRecognizedSegments

          ISingleCollection<UnRecognizedSegment> getUnRecognizedSegments()

      Retrieves list of Unrecognized segments.
      Returns:
        Isinglecollection - list of UnRecognized Segment

    - #### getList

          ISingleCollection<ISegment> getList()

      Retrieves list of segments.
      Returns:
        ISingleCollection - list of segments

    - #### getSegment

          ISegment getSegment(int iIndex)

      Retrieves segment instance from a given index position.
      Parameters:
        `iIndex` - value of index
      Returns:
        ISegment - instance of Segment

    - #### iterator

          ICollectionIterator<ISegment> iterator()

      Retrieves a iterator to iterate through Segment List.
      Returns:
        ICollectionIterator instance of iterator

    - #### size

          int size()

      Retrieves size of SegmentSet
      Returns:
        int - size of set